Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162685 - scsi modules need some sleep or they will block in some environments
Summary: scsi modules need some sleep or they will block in some environments
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mkinitrd
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Jones
QA Contact: David Lawrence
URL:
Whiteboard:
: 163428 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-07 17:18 UTC by Peter Warasin
Modified: 2008-02-12 00:46 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-02-12 00:46:29 UTC


Attachments (Terms of Use)
patch which solves the problem (deleted)
2005-07-07 17:18 UTC, Peter Warasin
no flags Details | Diff

Description Peter Warasin 2005-07-07 17:18:32 UTC
Description of problem:
in my vmware environment (with BusLogic scsi emulation) the initrd produces
symbols not foudn errors. after it loads scsi_mod the next module (sg_mod) does
not find the symbols which are provided by scsi_mod.
i added a sleep 5 after the scsi_mod insmod, that solves *this* problem.

but on creating the device files (mkdevices) which is directly after loading the
BusLogic driver, the system freezes. i have solved that problem adding a sleep 5
after loading all the modules.

that *could* be not bad to have it generally, because some other modules could
have the same problem. a sleep before continuing normal operation could prevent
this. however it's not a good solution to sleep, but i see no other chance.


Version-Release number of selected component (if applicable):
4.1.18

How reproducible:
every time

Steps to Reproduce:
1.
2.
3.
  
Actual results:
symbols not found
system freezes

Expected results:


Additional info:
patch was needed for www.efw.it rc6 and has been developed by www.endian.it

Comment 1 Peter Warasin 2005-07-07 17:18:32 UTC
Created attachment 116483 [details]
patch which solves the problem

Comment 2 Peter Jones 2006-02-03 22:44:14 UTC
*** Bug 163428 has been marked as a duplicate of this bug. ***

Comment 3 Matthew Miller 2006-07-10 20:33:35 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 4 petrosyan 2008-02-12 00:46:29 UTC
Fedora Core 3 is not maintained anymore.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.


Note You need to log in before you can comment on or make changes to this bug.